Foreman - Feature #14664

Add IPv6 Subnet to Host, Hostgroup and Nic Models
04/15/2016 09:17 AM - Timo Goebel

Status: Closed
Priority: Normal
Assignee: Timo Goebel
Category: Network
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3498
Description

Related issues:

Related to Foreman - Feature #2315: IPv6 Support

Related to Discovery - Support #14968: Support for IPv6

Related to Foreman - Bug #8639: IPv6 address don't report correctly from pupp...

Related to Foreman - Bug #15920: migration CopyUnmanagedHostsTolnterfaces may...

Related to Foreman - Bug #17187: IPv6 address cannot be blank for CR providin...

Assigned
New

New
Rejected
Closed

03/13/2013
05/09/2016
12/09/2014
07/31/2016
11/02/2016

Associated revisions

Revision 9d56081f - 06/02/2016 09:56 AM - Timo Goebel
fixes #14664 - support IPv6 in Nic, Hosts and Hostgroups models

History

#1 - 04/15/2016 09:17 AM - Timo Goebel
- Related to Feature #2315: IPv6 Support added

#2 - 04/15/2016 09:38 AM - Timo Goebel

- Tracker changed from Bug to Feature

#3 - 05/06/2016 09:44 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3498 added

#4 - 05/09/2016 10:28 AM - Timo Goebel
- Related to Support #14968: Support for IPv6 added

#5 - 05/09/2016 10:29 AM - Timo Goebel
- Related to Bug #8639: IPv6 address don't report correctly from puppet reports added

#6 - 06/02/2016 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 9d56081f8253c85c6ee530b4bd339390ab5¢5339.

#7 - 06/02/2016 10:05 AM - Dominic Cleal

- translation missing: en.field_release set to 160

05/18/2024

1/2



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9d56081f8253c85c6ee530b4bd339390ab5c5339

#8 - 08/04/2016 02:46 AM - Dominic Cleal

- Related to Bug #15920: migration CopyUnmanagedHosts Tolnterfaces may fail on interface conversations when ipv6 migration has not occurred
added

#9 - 11/02/2016 10:59 AM - Dominic Cleal

- Related to Bug #17187: IPv6 address cannot be blank for CR providing IPv4 plus domain with forward DNS added
